Page MenuHomePhabricator

Printable version should not include editsection links
Closed, DeclinedPublic

Description

When using the option printable=yes, "UI stuff" like editsection links are hidden via skins/common/wikiprintable.css:

/* Hide ugly UI stuff */
#quickbar, #topbar, #footer, #siteNotice,
.editsection, .toctoggle {

display: none;

}

This means that they are not displayed - but they are still present. If a user tries to copy MediaWiki content to his favorite word processor or text editor, the hidden stuff gets visible. I think that happens quite often, for example when users don't want to print a whole Wikipedia article, but just some specific sections. (Of course you can do funny jokes with a print-out copy that has edit-links on it ("hey, strange, this edit link does not work, the page must be semi-protected or something..."), but doesn't really have a use).

I don't know whether it's the web browser's job to fix this, or MediaWiki's job, but I think it should be fixed.


Version: unspecified
Severity: minor

Details

Reference
bz13571

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 10:01 PM
bzimport set Reference to bz13571.
bzimport added a subscriber: Unknown Object (MLST).
Tobias created this task.Mar 31 2008, 6:49 PM
brion added a comment.Apr 1 2008, 10:20 PM

The "printable version" link is just the page with the print stylesheet applied on screen; the link only exists because people aren't used to print style sheets being automatically applied at print time.